Skip to main content
GET
/
api2
/
v1
/
connectors
/
{connectorId}
Get a connector
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/connectors/{connectorId} \
  --header 'Authorization: <api-key>'
{
  "automatedProjectSettings": [
    {
      "active": true,
      "connector": {
        "id": "<string>",
        "name": "<string>"
      },
      "id": "<string>",
      "name": "<string>",
      "organization": {
        "id": "<string>",
        "name": "<string>"
      },
      "remoteFolder": "<string>",
      "sourceLang": "<string>",
      "targetLangs": [
        "<string>"
      ]
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "id": "<string>",
    "name": "<string>"
  },
  "id": "<string>",
  "localToken": "<string>",
  "name": "<string>",
  "organization": {
    "id": "<string>",
    "name": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

connectorId
string
required

Internal numeric ID of the connector

Response

OK

automatedProjectSettings
object[]

Automated project creation settings that use this connector

createdAt
string<date-time>

Date and time the connector was created

createdBy
object
id
string

Internal numeric identifier, encoded as a string

localToken
string

Backend token identifying this connector; required by connector backend calls

name
string

Display name of the connector

organization
object
type
enum<string>

Connector type identifier (e.g. FTP, GIT, GITHUB)

Available options:
AEM_PLUGIN,
AMAZON_S3,
AZURE,
BITBUCKET,
BITBUCKETSERVER,
BLUEPRINT,
BOX,
BRAZE,
BRAZE_MULTILANG,
CONFLUENCE,
CONTENTFUL,
CONTENTFULENTRYLEVEL,
CONTENTFUL2,
CONTENTSTACK,
DROPBOX,
DRUPAL,
DRUPAL_PLUGIN,
FTP,
GIT,
GITHUB,
GITLAB,
GOOGLE,
GOOGLE_DRIVE2,
HELPSCOUT,
HUBSPOT,
JOOMLA,
KENTICO,
KENTICO_KONTENT,
MAGENTO,
MARKETO,
ONEDRIVE,
OPTIMIZELY,
PARDOT,
PHRASE,
SALESFORCE,
SFTP,
SHAREPOINT,
SITECORE,
TRIDION,
TYPO3,
VERBIS,
WORDPRESS,
ZENDESK